Status: Open

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:3.6.1 Regression?: No

Operating System: Ubuntu 18.04 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29583

Description

When using the WFS 2.0.0 Compliant "typeNames" with GetFeatures qgis3 fails to retrieve the WFS data. However TypeName works.

TypeNames:

>>>url =

'https://geodata.nationaalgeoregister.nl/asbestscholenkaart/wfs?service=WFS&version=2.0.0&request=GetFeature&typeNames=asbestsch

asbestscholenkaart:asbestscholenkaart'

>>>layer = QgsVectorLayer(url, 'test', 'WFS')

>>>layer.isValid()

False

TypeName:

>>>url =

'https://geodata.nationaalgeoregister.nl/asbestscholenkaart/wfs?service=WFS&version=2.0.0&request=GetFeature&typeName=asbestscho

sbestscholenkaart:asbestscholenkaart'

>>>layer = QgsVectorLayer(url, 'test', 'WFS')

>>>layer.isValid()

True

When it fails log Messages shows 

2019-04-04T13:10:38     WARNING    Could not find typename in capabilities for url

https://geodata.nationaalgeoregister.nl/asbestscholenkaart/wfs?service=WFS&version=2.0.0&request=GetFeature&typeName=asbestscholenkaart:asbestscholenkaart


sbestscholenkaart:asbestscholenkaart

I note #17872 saw TypeNames reverted to TypeName for DescribeFeatureType to be WFS2.0.0 compliant for DescribeFeatureType

History

#1 - 2019-04-04 03:39 AM - Simon Planzer

I can confirm this is an issue with 3.6.1-Noosa also
#2 - 2019-04-04 10:41 AM - Giovanni Manghi

- Affected QGIS version changed from 3.4.0 to 3.6.1

#3 - 2019-04-28 11:42 AM - Jürgen Fischer

- Description updated
